'use strict';

process.chdir(__dirname);
const fs = require('fs');

fs.writeFileSync('pid.txt', process.pid);

const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${config.name || 'HTTPGETX'}`;
process.title = global.KOMODO_LOG_LABEL;

const cluster = require('cluster');
const logger = require('komodo-sdk/logger');

if (config.cluster && cluster.isMaster) {
    logger.info(`Running on cluster mode. Master ${process.pid} is running`);

    // eslint-disable-next-line no-plusplus
    for (let i = 0; i < config.cluster; i++) {
        cluster.fork();
    }
} else {
    if (config.cluster) {
        logger.info(`Worker ${process.pid} started`);
    }

    // eslint-disable-next-line global-require
    require('./lib/core-callback');
    // eslint-disable-next-line global-require
    require('./lib/listener-partner');
}
